Assign shards to a Neki shard configuration profile
curl --request PATCH \
--url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/configuration-profiles/{configuration_profile}/shards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shard_ids": [
"<string>"
]
}
'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/configuration-profiles/{configuration_profile}/shards"
payload = { "shard_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shard_ids: ['<string>']})
};
fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/configuration-profiles/{configuration_profile}/shards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"status": "<string>",
"error": {}
}
]Configuration profile shards
Assign shards to a configuration profile
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
write_database
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | write_databases |
| Database | write_database |
PATCH
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
configuration-profiles
/
{configuration_profile}
/
shards
Assign shards to a Neki shard configuration profile
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Organization name slug from list_organizations. Example: acme.
Database name slug from list_databases. Example: app-db.
Branch name from list_branches. Example: main.
Name from list_shard_configuration_profiles.
Body
application/json
The IDs of the shards to assign

